package com.cultural.heritage.model.dto.coupon;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
public class CouponUpdateRequest implements Serializable {

    /**
     * 优惠券id
     */
    private Long id;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 满减金额
     */
    private Double conditionAmount;


    /**
     * 需要的积分
     */
    private Integer requirePoints;


    /**
     * 发放数量
     */
    private Integer totalNum;


    /**
     * 剩余数量
     */
    private Integer residueNum;


    /**
     * 用户限领量
     */
    private Integer limitNum;


    /**
     * 有效开始日期
     */
    private Date startTime;

    /**
     * 有效截止日期
     */
    private Date endTime;


    /**
     * 作用范围
     */
    private String useScope;


    /**
     * 使用说明
     */
    private String description;


    @Serial
    private static final long serialVersionUID = 1L;
}
