package com.cultural.heritage.model.dto.snapshot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
public class GoodSnapshot implements Serializable {


    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private Double price;

    /**
     * 商品图片
     */
    private String goodImg;

    /**
     * 商品简介
     */
    private String intro;

    /**
     * 商品详情简介
     */
    private String introDetail;

    /**
     * 商品详情图片
     */
    private String detailImg;

    /**
     * 商品标签
     */
    private String label;


    /**
     * 是否是商品类型
     */
    private Integer isGoodType;

    /**
     * 节日限定序号
     */
    private Integer festivalOrder;

    /**
     * 预约日期
     */
    private String reserveDate;


    @Serial
    private static final long serialVersionUID = 1L;
}
